# -*- coding: utf-8 -*-

from PyQt4 import QtGui, QtCore


_encoding = QtGui.QApplication.UnicodeUTF8

def _translate(context, text, disambig):
    return QtGui.QApplication.translate(context, text, disambig, _encoding)

class toolBar(QtGui.QToolBar):
    """
    QToolbar widget
    """
    def __init__(self, parent):
        QtGui.QToolBar.__init__(self, parent)
        self.setIconSize(QtCore.QSize(24,24))
        # Copier vers le pressse-papier
        presse_papier = QtGui.QAction(QtGui.QIcon("../data/icones/klipper.svg"), _translate("coord_toolbar","Copier vers le presse-papier", None), self)
        # Exporter                
        exportCombo = QtGui.QComboBox()
        exportCombo.setObjectName("exportCombo")
        exportCombo.addItem(_translate("coord_toolbar",'Exporter vers...', None))
        exportCombo.addItem(QtGui.QIcon("../data/icones/libreoffice-calc.png"), u"LibreOffice")
        exportCombo.addItem(QtGui.QIcon("../data/icones/qtiplot.png"), u"QtiPlot")
        exportCombo.addItem(QtGui.QIcon("../data/icones/scidavis.png"), u"SciDAVis")
        # Changer d'échelle 
        nvl_echelle = QtGui.QAction(QtGui.QIcon("../data/icones/scale.svg"), _translate("coord_toolbar","Changer d'échelle", None), self)
        #nvl_echelle.setGeometry(QtCore.QRect(240, 90, 148, 23))
        nvl_echelle.setObjectName("pushButton_nvl_echelle")
        
        
        self.addAction(presse_papier)
        self.addSeparator()
        self.addWidget(exportCombo)
        self.addSeparator()
        self.addAction(nvl_echelle)