# -*- coding: utf-8 -*-


from PyQt4 import QtCore, QtGui
import pyqtgraph as pg

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    def _fromUtf8(s):
        return s

try:
    _encoding = QtGui.QApplication.UnicodeUTF8
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig, _encoding)
except AttributeError:
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig)
"""
class traceur2d:
    def __init__(self, parent, x, y, xlabel="", ylabel="", titre="", style=None, item=None):
        print "traceur2d", titre, item
        self.parent = parent
        pg.setConfigOption('background', 'w')
        pg.setConfigOption('foreground', 'k')
        self.plotWidget=None
        self.update(x, y, xlabel, ylabel, titre, style, item)

    def update(self, x, y, xlabel="", ylabel="", titre="", style=None, item=None):
        if self.plotWidget:
            self.plotWidget.hide()
            del self.plotWidget
        self.plotWidget=pg.plot(title=titre)
        self.plotWidget.plot(x,y)
        self.plotWidget.setLabel('bottom', xlabel)
        self.plotWidget.setLabel('left', ylabel)
        self.plotWidget.show()
"""

class PGraphWidget(QtGui.QWidget):
    def __init__(self, parent):
        QtGui.QWidget.__init__(self, parent)
        self.resize(629, 499)
        self.verticalLayout = QtGui.QVBoxLayout(self)
        self.toolbar = QtGui.QToolBar(self)
        self.toolbar.setIconSize(QtCore.QSize(24,24))
        self.verticalLayout.addWidget(self.toolbar)
        self.comboBox_mode_tracer = QtGui.QComboBox()
        self.comboBox_mode_tracer.addItem(_fromUtf8(""))
        self.toolbar.addWidget(self.comboBox_mode_tracer)
        
        pg.setConfigOption('background', 'w')
        pg.setConfigOption('foreground', 'k')
        x = [0,1,2,3,4]
        y = [1, 3, 5, 7,9]
        xlabel,ylabel,titre ="Abscisses", "Ordonnées", "Pymecavideo"

        self.plotWidget = pg.PlotWidget(title=titre)
        self.verticalLayout.addWidget(self.plotWidget)
        self.plotWidget.setLabel('bottom', xlabel)
        self.plotWidget.setLabel('left', ylabel)
        self.plotWidget.plot(x,y)

        self.retranslateUi()
        QtCore.QMetaObject.connectSlotsByName(self)

    def retranslateUi(self):
        self.setWindowTitle(_translate("Graphe", "Graphique", None))
        self.comboBox_mode_tracer.setItemText(0, _translate("Choisir...", "Choisir ...", None))

if __name__ == "__main__":
    import sys
    app = QtGui.QApplication(sys.argv)
    w = PGraphWidget(None)
    w.show()
    sys.exit(app.exec_())

